Public Member Functions

# xmlpp::OutputBuffer Class Reference

Base class for xmlOutputBuffer wrapper. More...

`#include <libxml++/io/outputbuffer.h>`

Inheritance diagram for xmlpp::OutputBuffer:
[legend]
Collaboration diagram for xmlpp::OutputBuffer:
[legend]

List of all members.

## Public Member Functions
| OutputBuffer (const Glib::ustring& encoding=Glib::ustring())
virtual | ~OutputBuffer ()
_xmlOutputBuffer* | cobj ()
| gives an access to the underlying libxml structure to the children
const _xmlOutputBuffer* | cobj () const
| gives an access to the underlying libxml structure to the children

## Detailed Description

Base class for xmlOutputBuffer wrapper.

It can be herited to create a new output buffer. A child class has to override do_write, and eventually do_close if some actions are required before buffer closing.

## Constructor & Destructor Documentation

xmlpp::OutputBuffer::OutputBuffer | ( | const Glib::ustring & | encoding = `Glib::ustring()` ) |

Parameters:

  encoding | The encoding herited class wait for in do_write. If not provided, UTF-8 will be sent to do_write.

Warning:
  The encoding is done by libxml. As a consequence, libxml must have a translator to the target encoding.

virtual xmlpp::OutputBuffer::~OutputBuffer | ( | ) | `[virtual]`

## Member Function Documentation

_xmlOutputBuffer* xmlpp::OutputBuffer::cobj | ( | ) |

gives an access to the underlying libxml structure to the children

const _xmlOutputBuffer* xmlpp::OutputBuffer::cobj | ( | ) | const

gives an access to the underlying libxml structure to the children

The documentation for this class was generated from the following file:

- io/outputbuffer.h